################################################################################
# common jobs shared for all builds environments
################################################################################


release_job:
  stage: .post
  image: release-cli:modal
  rules:
    - if: ($CI_COMMIT_TAG =~ /^sdk-*/) && ($CI_COMMIT_BRANCH != "dev") && ($CI_PIPELINE_SOURCE != "schedule")
  script:
    - echo "Running the release job."
  release:
    name: 'Release $CI_COMMIT_TAG'
    tag_name: $CI_COMMIT_TAG
    description: 'Release created using the release-cli.'
  allow_failure: true


reindex_job:
  stage: .post
  image: google/cloud-sdk:latest
  rules:
    - if: (($CI_COMMIT_TAG =~ /^v.*/) || ($CI_COMMIT_TAG =~ /^sdk.*/) || ($CI_COMMIT_BRANCH == "dev")) || ($CI_PIPELINE_SOURCE == "schedule")
  script:
    - /bin/bash scripts/reindex-deb-repo.sh
    - date

